org.scalatest.matchers

# HavePropertyMatchResult

#### case class HavePropertyMatchResult [P] (matches: Boolean, propertyName: String, expectedValue: P, actualValue: P) extends Product with Serializable

The result of a property match operation such as one performed by a `HavePropertyMatcher`, which contains one field that indicates whether the match succeeded (i.e., the property had its expected value), one field that provides the name of the property, and two fields giving the expected and actual values. `HavePropertyMatchResult`'s type parameter, `P`, specifies the type of the property.

For an example of a `HavePropertyMatchResult` in action, see the documentation for `HavePropertyMatcher`.

matches

  indicates whether or not the matcher matched (if the property had its expected value, it was a match)

propertyName

  the name of the property (of type `P`) that was matched against

expectedValue

  the expected value of the property

actualValue

  the actual value of the property

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. HavePropertyMatchResult
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new HavePropertyMatchResult (matches: Boolean, propertyName: String, expectedValue: P, actualValue: P)

   matches

     indicates whether or not the matcher matched (if the property had its expected value, it was a match)

   propertyName

     the name of the property (of type `P`) that was matched against

   expectedValue

     the expected value of the property

   actualValue

     the actual value of the property

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### val actualValue : P

   the actual value of the property

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     HavePropertyMatchResult → Equals

9. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

10. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

11. #### def equals (arg0: Any): Boolean

    Definition Classes
      HavePropertyMatchResult → Equals → AnyRef → Any

12. #### val expectedValue : P

    the expected value of the property

13. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

14. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def hashCode (): Int

    Definition Classes
      HavePropertyMatchResult → AnyRef → Any

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### val matches : Boolean

    indicates whether or not the matcher matched (if the property had its expected value, it was a match)

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def productArity : Int

    Definition Classes
      HavePropertyMatchResult → Product

22. #### def productElement (arg0: Int): Any

    Definition Classes
      HavePropertyMatchResult → Product

23. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

24. #### def productPrefix : String

    Definition Classes
      HavePropertyMatchResult → Product

25. #### val propertyName : String

    the name of the property (of type `P`) that was matched against

26. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

27. #### def toString (): String

    Definition Classes
      HavePropertyMatchResult → AnyRef → Any

28. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

30. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

31. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any